
package.path = package.path .. ";data/scripts/lib/?.lua"
package.path = package.path .. ";data/scripts/?.lua"
package.path = package.path .. ";data/scripts/sectors/?.lua"
package.path = package.path .. ";?.lua"
package.path = package.path .. ";?"

local assert = assert
local SectorSpecifics = {}
SectorSpecifics.__index = SectorSpecifics

local function new(seed, x, y, serverSeed)

    local obj = setmetatable({}, SectorSpecifics)

    if seed and x and y and serverSeed then
        obj:initialize(seed, x, y, serverSeed)
    end

    return obj
end

function SectorSpecifics:initialize(seed, x, y, serverSeed)

    -- sector seed is only actually used if the sector has content
    self.sectorSeed = seed
    self.coordinates = {x = x, y = y}
    self.generationTemplate = nil
    self.generationSeed = nil
    self.offgrid = 0
    self.regular = 0
    self.dustyness = 0
    self.blocked = 0
    self.gates = 0
    self.name = x .. " : " .. y

end


function SectorSpecifics:getScript()
    return ""
end


return setmetatable({new = new}, {__call = function(_, ...) return new(...) end})
