
#include "../version.inl"

uniform sampler2D baseTexture;
uniform sampler2D bloomTexture;
uniform float amplification;
uniform float gamma;

in vec2 texCoord;

void main()
{
	vec4 texColor = texture2D(baseTexture, vec2(texCoord.x, texCoord.y));
	vec4 bloom = texture2D(bloomTexture, vec2(texCoord.x, texCoord.y));

	outFragColor = texColor + bloom * amplification;

	outFragColor.rgb = pow(outFragColor.rgb, vec3(1.0 / gamma));
}
