#include "../version.inl"

#ifndef STEPSIZE_Y
#define STEPSIZE_Y 0.002f
#endif // STEPSIZE_Y

#ifndef RADIUS
#define RADIUS 10
#endif // RADIUS

uniform sampler2D sourceTexture;

in vec2 texCoord;

void main()
{
	float half_pixel_offset = STEPSIZE_Y * 0.5f;

	vec4 finalColor = vec4(0);
	for (int i = -RADIUS; i <= RADIUS; i += 2)
    {
        float y = texCoord.y + STEPSIZE_Y * i + half_pixel_offset;
		finalColor += texture2D(sourceTexture, vec2(texCoord.x, y)) * step(-0.5f * RADIUS * STEPSIZE_Y, y) * step(-1.0f - 0.5f * RADIUS * STEPSIZE_Y, -y);
	}
	outFragColor = finalColor / (RADIUS + 1);
}
