#include "../version.inl"

uniform vec3 fogColor;
uniform float maxFoggyness;
uniform float maxViewDistance;

in float distanceToEye;
in vec4 color;

void main()
{
	outFragColor.rgb = color.rgb * 2.0f;

    // fog
    float foggyness = min(maxFoggyness, distanceToEye / maxViewDistance);
    outFragColor.rgb = mix(outFragColor.rgb, fogColor.rgb, foggyness);

	outFragColor.a = 1;
}

