
#include "version.inl"

uniform sampler2D diffuseTexture0;
uniform sampler2D diffuseTexture1;
uniform sampler2D diffuseTexture2;
uniform sampler2D diffuseTexture3;
uniform sampler2D diffuseTexture4;
uniform sampler2D diffuseTexture5;
uniform sampler2D diffuseTexture6;
uniform sampler2D diffuseTexture7;
uniform sampler2D diffuseTexture8;
uniform sampler2D diffuseTexture9;

in vec4 color;
in vec2 texCoord;
in float size;

void main()
{
	if(color.a == 0.0) discard;

	vec4 texColor;
	int sizet = int(size);

	if(size > 8.9) texColor = texture2D(diffuseTexture9, texCoord);
	else if(size > 7.9) texColor = texture2D(diffuseTexture8, texCoord);
	else if(size > 6.9) texColor = texture2D(diffuseTexture7, texCoord);
	else if(size > 5.9) texColor = texture2D(diffuseTexture6, texCoord);
	else if(size > 4.9) texColor = texture2D(diffuseTexture5, texCoord);
	else if(size > 3.9) texColor = texture2D(diffuseTexture4, texCoord);
	else if(size > 2.9) texColor = texture2D(diffuseTexture3, texCoord);
	else if(size > 1.9) texColor = texture2D(diffuseTexture2, texCoord);
	else if(size > 0.9) texColor = texture2D(diffuseTexture1, texCoord);
	else texColor = texture2D(diffuseTexture0, texCoord);

    vec3 ncolor = texColor.rgb * color.rgb;

	if(ncolor.rgb == vec3(0)) discard;

	ncolor += pow(texColor.rgb * 2.0f, vec3(16.0, 16.0, 16.0)) * 0.02;
    outFragColor =  vec4(ncolor.rgb, texColor.r * 1.0 * color.a);
}
